[v6,6/7] shippable: switch to clang 4.0

Message ID 1519761641-21081-7-git-send-email-odpbot@yandex.ru
State New
Headers show
Series
  • Select scheduler+queue in runtime, basing on environment
Related show

Commit Message

Github ODP bot Feb. 27, 2018, 8 p.m.
From: Dmitry Eremin-Solenikov <dmitry.ereminsolenikov@linaro.org>


Clang 3.8 will miscompile ODP, which results in testsuite crashes. Use
clang 4.0 instead.

Signed-off-by: Dmitry Eremin-Solenikov <dmitry.ereminsolenikov@linaro.org>

---
/** Email created from pull request 467 (lumag:sched-env)
 ** https://github.com/Linaro/odp/pull/467
 ** Patch: https://github.com/Linaro/odp/pull/467.patch
 ** Base sha: 3984ba4cd16a02e3fa98ccd432a06663de3fa993
 ** Merge commit sha: 62438643661dee1350bce73f90120c824538df8b
 **/
 scripts/Dockerfile | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

Patch

diff --git a/scripts/Dockerfile b/scripts/Dockerfile
index 3e1d54dbd..b4c03ca48 100644
--- a/scripts/Dockerfile
+++ b/scripts/Dockerfile
@@ -8,7 +8,7 @@  RUN sudo apt-get update && sudo apt-get install -yy \
   autoconf \
   automake \
   ccache \
-  clang-3.8 \
+  clang-4.0 \
   gcc-4.8 \
   graphviz \
   kmod \
@@ -24,5 +24,5 @@  RUN sudo apt-get update && sudo apt-get install -yy \
   xsltproc
 
 RUN sudo update-alternatives --install /usr/bin/gcc gcc /usr/bin/gcc-4.8 10
-RUN sudo ln -s /usr/bin/clang-3.8 /usr/bin/clang
-RUN sudo ln -s /usr/bin/clang++-3.8 /usr/bin/clang++
+RUN sudo ln -s /usr/bin/clang-4.0 /usr/bin/clang
+RUN sudo ln -s /usr/bin/clang++-4.0 /usr/bin/clang++